Introduction

Sprint-Layout 5.0
Sprint-Layout is a simple tool to create layouts for single-sided, double-sided or even multilayer PCBs (Printed Circuit Boards). The software comes along with all functions that are necessary for board design. Even professional features, like export of Gerber -files or isolation-milling , are included, while the handling of Sprint-Layout was kept self-explaining.
Sprint-Layout is equipped with tools to draw solder pads , SMD pads , tracks , zones , text-labels and so on. You can select from several types of solder pads, which are sizeable in a wide range.
There are two layers – copper and silk screen - for each side of the board. Optional you can use an outline-layer for the board contour or 2 additional inner layer for multilayer boards. Additional features are solder masks, SMD-masks, automatic ground planes , signal flow test etc.
The integrated autorouter may help you to route tracks.
The photoview option allows you to take a look at your board, as if it was manufactured. This may help you to find faults on your board.
The extensible library is predefined with several components for throughole or SMD layouts.
Lots of options are selectable, when printing the layout, the component mounting plan, or the solder mask on paper or film.
Sprint-Layout supports Gerber - and Excellon export, to send track and drill information to professional board manufacturers.
Isolation-milling is also supported. Sprint-Layout is able to cretae HPGL files for isolation-milling directly from your layout.


New features of Sprint Layout 5.0
Multilayer
Sprint-Layout offers 2 additional (inner) layer to create multilayer PCB's.
Outline-layer
A new layer is available especially for the outline of your board.
Free rotating
You can rotate all elements and macros in a free angle.
Mousewheel-Zoom
Sprint-Layout is now using the mousewheel best possible to zoom and navigate your layout. You won't use the "zoom-mode" or the scrollbars anymore.
Properties-Panel
The new properties-panel makes the properties of any element available. You don't have to call special dialogs to edit these properties. Besides there are new properties editable, e.g. a numeric input of positions etc.
DRC
The DRC (Design-Rule-Check) is able to inspect your layout. You can check it for minimum distances, double or overlapped drillings, min/max limitations, etc.
Footprint-Wizard
The footprint-wizard helps you to create special footprints for components. You can specify the footprint with special parameters and the wizard creates your footprint automatically.
Editable solder masks
The solder mask is now editable. You can exclude pads or include tracks to your solder mask.
SMD-Mask
Sprint-Layout is able to create special SMD (paste) masks for manufacturing.
Base unit in "mm" or "mil"
You can set the base unit in Sprint-Layout to mm or mil (1 mil = 1/1000 inch).
Hotkeys
You can reach the different modes in Sprint-Layout now with free defined hotkeys. This saves time for experienced users.
Spirals
Sprint-Layout is now able to create simple spirals. These spirals are mostly used on hf boards.
Vitual nodes
These nodes are located in the middle of each track. Just drag them to a new position to create new nodes. This simplifies the editing of tracks.
Thermal-Pads
Sprint-Layout is now able to create thermal pads on the ground-plane.
Isolation-milling
The calculating of the isolation-milling data is now much faster.
Test-function
The test-function considers the ground-plane now much better, even if the ground-plane is splitted into different potentials.


Sofware registration

Software registration
You can send us your registration form, to get information about updates and new ABACOM products.
If you received your software directly from ABACOM, registration is not necessary.


Board properties
Starting with a new project, the first step is to define the dimensions of the board. Call PROPERTIES from the BOARD menu or click with the RIGHT mouse button to the board selector on bottom of the editor and select BOARD PROPERTIES from the local popup menu.
The proprties-panel appears on the right site.
You may now enter the board dimensions and a name for the board.
The board size can not be bigger than 300 x 300 mm.
The option Multilayer offers 2 additional inner layers I1 and I2 to create multilayer PCB's.
You may call the dialog whenever you want to make changes to the board dimensions or to the board name.


Grid size
The grid allows you to place layout elements precisely and very efficiently. The grid capture is always active and is displayed as long as the zoom is adjusted to appropriate values. The grid display is disabled when zoom factor is too small to display the grid, but the capture will still remain active.
To turn off the capture completely hold down the CTRL-key on your keyboard, while moving objects.
You may change the grid size whenever you like. This will not have any effect to the layout. If you can not reach the wanted position of the board, try to decrease the grid size. It is recommended to use 1/10 Inch (=2,54 mm) as default grid size, or fractions of this.
To adjust the grid size click to the bottom in the left toolbar:
You will get the following popup:
The popup menu offers seven default values for the grid, which are suitable for most applications. You can add your own grid values to the popup menu. Call ADD NEW GRID VALUE... from the popup menu to add user-defined grids to the popup menu. You may enter values from 0,01 mm to 99,9 mm for the grid size. Confirm the value with OK and the grid will now be available from the grid popup menu and is activated immediately.
User-defined grid values are listed below the default grid values in the popup menu. To remove user-defined grids from the popup menu, you have to activate the grid entry that has to be deleted. Call REMOVE CURRENT GRID VALUE from the grid popup menu. (The current grid is indicated with a small hook.)
Tip:
Holding down the CTRL-key of the keyboard turns off the grid-capture.
Subdivisions
Normally every fifth line of the grid is thickened to simplify the orientation. You can influence this behavior with the entry SUBDIVISIONS in the popup menu.
Show/Hide grid
With the last option in the popup menu you can show or hide the grid.
Note that the grid capture is still active, even if you hide the grid.


Solder layer and silk screen layer
Sprint Layout offers 7 layers. Imagine layers as transparent films that lay on top of each other.
The layers of Sprint Layout are:
  • C1 Board side 1 – Copper layout
  • S1 Board side 1 – Silk screen
  • C2 Board side 2 – Copper layout
  • S2 Board side 2 – Silk screen
  • O Outline of the board
  • I1 Inner layer 1 (only for multilayer PCB's)
  • I2 Inner layer 2 (only for multilayer PCB's)
The top and bottom board-side has its own two layers. One for the layout (copper) and one for the optional silk screen. You can define the colors of each layer.
Please pay attention while creating your board:
  • Board-side 1 is the top of the board.
  • Board-side 2 is the bottom of the board.
  • Create your layout, as if your board was transparent.
  • Note, that components and texts on the bottom side of your board (side 2) have to be mirrored (mostly Sprint-Layout is doing this for you automatically)
Only one of the layers can be the active layer. This means that all new elements will be placed on the active layer. If a copper layer is active, all drawing is done on the copper-layer and changes will appear in the copper layout. If a silk-screen-layer is activated drawing is done on the silk-screen.
At the bottom of the editor you can select the active layer and set the visibility of the layers:
The buttons C1, S1, C2, S2,I1,I2 and O switch the corresponding layers visible/invisible. The current active layer is always visible.
The radio buttons select the active layer.
With a click on the "?" you can always display the following LayerInfo:
This summary explains the meaning of the layers and their colors.


Ruler and coodinate display
Rulers
Sprint Layout offers rulers on top and on the left of the editor. The current mouse position is marked for better orientation.
The scale units may be switched between mil (1 mil = 1/1000 inch) and millimetre (mm) with the push button between the rulers.
Coordinate display
The current mouse position is displayed in the left corner on bottom of the editor. The units of the display correspond to the rulers units.
Origin
Normally the top left corner of the editor is the origin of the coordinates. The origin is indicated by a blue point. You may drag & drop the origin to another position, which may be helpful for calculation of distances. Click to the blue point, hold the left mouse button down and move the origin to the desired position. Coordinates will refer to the new origin immediately.
If the origin is not visible in the current view, you can set it like this: Click with the right mouse button on the desired position on your layout and select SET ORIGIN from the local popup menu.
  • You can set the origin with the key <0> (zero) to the current mouse position.
  • Click with the RIGHT mouse button to the desired position and select Set to click-position from the local popup menu.
Tip:
When moving the origin it will be captured to the grid. Hold the CTRL-key of your keyboard down, to reach positions that are off the grid.


Basic drawing functions
Sprint Layout offers all necessary functions to draw the layout of a printed circuit board.
  • Tracks / Lines
  • Pads, Through pads (Vias), Drill holes
  • SMD-Pads
  • Circles / Segments
  • Zones
  • Polygons
  • Labels
The left toolbar offers buttons that activate the desired drawing mode for these elements. The default mode (arrow) is the edit mode. Use the default edit mode to select, move or modify objects of the layout.
Tip:
A local popup menu opens if you press the RIGHT mouse button on the editor. It offers often-used functions.
Selecting objects
You have to select objects of the layout to move or modify them. This is done in the default edit mode (arrow). Simply click to an element to select it. Selected elements will change their color to magenta.
If you have to select more than one element, you may also draw a frame (starting at an unused position). All elements that cross the frame will be selected.
If you have to add or remove single elements to/from the selection hold down the SHIFT key on your keyboard and click to the element.
Moving elements
Select the elements that you want to move. Then click to one of the selected elements and hold the left mouse button down. Move the elements to the desired position and release the mouse button to drop them.
Hold down the CTRL key of your keyboard, to turn off the grid-capture, if you have to reach positions that are off the grid.
Tip:
You may also use the ARROW keys of your keyboard to move selected elements.
Deleting objects
Select the elements you want to delete. The function DELETE is available from the EDIT item of the main menu or from the toolbar. You may also press the <DEL> key of your keyboard to remove selected elements from the layout.


Tracks
To draw a copper track select the corresponding mode from the left toolbar:
Move the mouse cursor to the layout. The cursor will appear with the diameter of the track width. The first click defines the start point of the track. Now move the mouse to the destination point of the track. Use the SPACE key of your keyboard to find the optimal route for the track. Click again to fix the track and continue with the next segment. Use the right mouse button to abort the process.
Tip:
Hold down the CTRL key of your keyboard to reach positions that are off the grid.
Adjust the width of a track with the tool from the left toolbar:
The thinnest track width depends on the output device (screen, printer, etc.). A width of 0 will cause the device to produce the thinnest line that is available with the device.
If you prefer certain values for track width of your layout, you may store these values to a local popup menu that opens, if you click to the button that is on the left of the width input. Select ADD to add the current width to the popup menu. You may now easily call the stored value from the popup whenever needed. To remove a value from the popup menu, select the value and then call REMOVE from the local popup menu.
Modifying existing tracks
To modify an existing track, select the track.
The edges of the track will be painted with blue points. You may move the edges of the track to another position, while holding the left mouse button.
If you click with the right mouse button to one of the blue edges, a local popup menu will appear that allows you to REMOVE or ADD CORNER edges or to SPLIT TRACKS.
Whenever you select a track, the track width is displayed in the width-input field. You may now adjust another track width for the track (and for all other tracks that are selected).
Whenever you have selected a track, the width-input field will be displayed in red. This indicates, that any changes of this value will causes directly changings on your layout.
Virtual nodes
These nodes are located in the middle of each track. Just drag them to a new position to create new nodes. This simplifies the editing of tracks.


Pads, Vias, Drill holes
To place pads select the corresponding mode with the button from the left toolbar:
Sprint Layout offers several shapes for pads. The current shape is displayed on the button. To select another shape, click to the arrow button right from pad button.
If the option THROUGHPAD is selected the pad will appear on both sides of the board automatically (on multilayer borads they appear also on the inner layer I1 and I2). These pads are indicated by a another color and a red colored hole.
Move the mouse cursor to the board while the pad mode is selected. Every click will add a pad to the layout. The pad mode may be aborted by pressing the right mouse button (or <ESC>).
Notice:
Pads are always combined with a drill hole. Drill holes are always punched free from copper. This makes it easy to add pads on copper zones or wide tracks.
Tip:
Hold down the CTRL key if you have to place pads that are off the grid.
The outside and drilling diameter of the pads is adjustable at the left toolbar:
If you prefer certain diameters for your layout, you may store these values to a local popup menu that opens if you click to the button that is on the left of the diameter fields. Select ADD to add the current diameters to the popup menu. You may now easily recall the stored values from the popup whenever needed. To remove a value from the popup menu, select the value and then call REMOVE from the local popup menu.
Modifying existing pads
Whenever you select a pad the diameters and the shape of the pad are displayed in the left toolbar. You may now select another shape for the pad or adjust the inside diameter or outside diameter. Changes will be made to all selected pads, in case that more than one pad is selected.
Whenever you have selected a pad, the diameter fields will be displayed in red. This indicates, that any changes to this value will immediately change your layout.
If the properties-panel is visible you can edit the pad here:
Here you can enter e.g. the centre of the pad.
The option Thermal pad is only available if the layer has an automatic ground-plane. A thermal pad is looking like this:
Thermal pads are easier to solder, because they are not completely surrounded with copper.
Trough pads (vias)
A trough pad (also called via) is a pad that appears on both sides of the board automatically. A trough pad is used to connect tracks from both sides of the board. Trough pads are indicated by a hatched display and a red drill hole.
If you have to draw a through pad, select the option THROUGH PAD from the popup menu of the pad shape button. Drawing and editing through pads is exactly like editing ordinary pads.
You may also select an existing pad and change the TROUGH PAD option.
Tip:
Use the key F12 to change the THROUGH PAD status immediatlely.
Drill holes
Drill holes are simple holes that are normally used to mount components on the board. Set the inside diameter and the outside diameter of a pad to identical values to create a drill hole without copper. Such drill holes are indicated clearly by a cross.


SMD-Pads
To place SMD-pads select the corresponding mode with the button from the left toolbar:
Move the mouse cursor to the board while the SMD-pad mode is selected. Every click will add a pad to the layout. The SMD-pad mode may be aborted by pressing the right mouse button (or <ESC>).
Tip:
Hold down the CTRL key if you have to place pads that are of the grid.
The size of the SMD-pads can be adjust at the left toolbar:
If you prefer certain sizes for SMD-pads, you may store these values to a local popup menu that opens if you click on the button that is on the left of the size-inputs. Select ADD to add the current pad-size to the popup menu. You may now easily recall the stored values from the popup whenever needed. To remove a value from the popup menu, select the value and then call REMOVE from the local popup menu.
Modifying existing SMD-pads
Whenever you select a SMD-pad the actual size of the SMD-pad is displayed in the left toolbar. You may now adjust the size for the SMD-pad. Changes will be made to all selected SMD-pads, in case that more than one SMD-pad is selected.
Whenever you have selected a SMD-pad, the size-input fields will be displayed in red. This indicates, that any changes to this values will immediately change your layout.


Circles
To draw a circle set the corresponding mode with the button of the left toolbar:
Move the mouse cursor to the layout. The cursor will appear with the diameter of the track width. This is also the width of the circle. Click on the desired centre position of the circle and define the diameter moving the mouse. Then you release the mouse button, and the circle will be created. Use the right mouse button to abort the process.
Tip:
Hold down the CTRL key of your keyboard if you have to place circles of the grid.
Modifying the width of existing circles
Circles use the same pen-width as tracks. If you want to modify the pen-width of a circle, just select it and edit the value of the width-field.
Segments of circles
Every circle can converted to a segment. Therefore there are two changing-points for each circle to define the start position and the end position. Both points initialized at a "3 o'clock"-position (means 0°). You can drag these changing-points (displayed as blue points) to the desired positions.
You can edit the start- and stop angle, the centre, etc. in the properties-panel . Just select the circle and edit the properties.


Zones
Zones are filled areas (polygons). Zones, that are drawn on the copper layer and connected to certain signals, are also called planes (ground plane, power plane, etc.). The outline of zones is drawn in the same way as tracks, where the outline width determines the radius of the zone corners. Sprint Layout closes and fills the polygons automatically.
Select the corresponding mode with the button of the toolbar on the left, to draw a zone:
Move the mouse cursor to the layout. The cursor will appear with the diameter of the track width. The first click defines the start point of the zone outline. Now move the mouse to the destination point of the outline segment. Use the SPACE key of your keyboard to find the optimal route for the segment. Click again to fix the segment and continue with the next segment. Use the right mouse button to finish the process. The polygon is then closed and filled automatically. You need at least three points for a zone. Otherwise no zone will be created. A zone is also finished if you close it manually.
Tip:
Hold down the CTRL key of your keyboard to reach positions that are off the grid.
Adjust the width of an zone outline with the tool from the left toolbar:
The thinnest width depends on the output device (screen, printer, etc.). A width of 0 will cause the device to produce the thinnest line that is available from the device.
Modifying existing zones
To modify an existing zone, select the zone. The corners of the outline will be painted with blue points. You may drag the corners of the zone to another position.
If you click with the right mouse button to one of the blue edges, a local popup menu will appear that allows you to REMOVE or ADD edges from/to the outline.
Virtual nodes
These nodes are located in the middle of each track. Just drag them to a new position to create new nodes. This simplifies the editing of tracks.
Whenever you select a zone, the outline width is displayed in the width-input field. You may now adjust another width for the outline (and for all other zones that are selected).
Whenever you have selected a zone, the width-input field will be displayed in red. This indicates, that any changes of this value will immediatly change your layout.
You can make additional settings in the properties-panel :
A zone must not have a solid filling. You can select Hatched to create a hatched filling.


Special forms
Here you can create 2 special and often needed geometric figures:
  • Equilateral polygons
  • Spirals
The polygons can be used excellent as a construction-help. For example, if you need a component with 12 pins arranged in a circle, you can create a 12-sided-polygon, place a pad on every edge and delete the polygon.
Spirals are mostly needed on hf-boards.
Select the corresponding mode with the button from the toolbar on the left, to draw a polygon.
Create an equilateral polygon
Enter the following parameters:
  • Radius (measured from the centre to the corners)
  • Outline width
  • Number of corners (1.99)
  • Angle offset (changes the start angle in a range of –180°...+180° degree)
  • If the option Fill is selected a closed area will be created. Otherwise the polygon is drawn with track segments.
Confirm your parameters with OK. You may now place the object several times anywhere on the board. The right mouse button (or <ESC>) returns to the default edit mode.
Create a spiral
Enter the following parameters:
  • Start radius (the radius of the inner segment)
  • Distance (the distance between the turns)
  • Track width
  • Turns
Confirm your parameters with OK. You may now place the object several times anywhere on the board. The right mouse button (or <ESC>) returns to the default edit mode.
Tip:
Hold down the CTRL key of your keyboard to reach positions that are off the grid.
Modifying existing polygons or spirals
The figures are made with normal tracks, zones or circle-segments. All elements are grouped. You can edit them just like any other element on your layout.


Text
To create a text-label, press the corresponding button in the toolbar on the left:
The following dialogue appears:
Enter your text to the dialog and edit additional parameters like height, style, orientation, etc. Confirm your inputs with OK. You may now add the text several times to the layout with a single mouse click at the desired position.
Use the Automatic option to create labels with consecutive numbers (like R1,R2,...).
Tip:
Hold down the CTRL key on your keyboard to reach positions that are off the grid.
Modifying existing text-labels
To modify a text-label, just doubleclick on it. The previous dialog appears again and you can make your changes.
If the properties-panel is visible you can edit the text here:
You don't have to call the dialog in this case. Besides all changes are immediately visible.


Using the clipboard
The well-known functions of the EDIT item of the main menu refer to the clipboard and may be performed on selected objects:
  • Cut
  • Copy
  • Paste
  • Duplicate
These functions are also available from to toolbar on top of the editor.
Cut
Copies the selected elements to the clipboard and removes them from the layout.
Copy
Copies all selected objects to the clipboard. The source objects remain in the layout.
Paste
Adds the contents of the clipboard to the layout. The pasted elements "stick" on your mouse cursor. You can place them with a single click.
Duplicate
Performs COPY and PASTE in one single step.
Note:
Everytime you copy elements to the clipboard, Sprint-Layout copies these elements to the global windows-clipboard too. Other programs can then paste these elements from the clipboard. The Windows-clipboard uses the EMF-format (Enhanced-Meta-Files). The importing software must support this format.


Zoom
Zooming and navigating are one of the mostly needed features in Sprint-Layout. This allows you to take a look at your complete layout, and one moment later you can take a look at a special area on your layout in large size.
Using the mousewheel
The best and easiest way to zoom and navigate is to use the mousewheel.
If your mouse is over the layout, you can zoom in or out with the mousewheel. If you zoom in, the current mouseposition will be centred automatically. So you can navigate very easy through your layout, just zoom a little bit out and in.
The zoom mode
To adjust the zoom click to the corresponding button in the toolbar on the left:
The mouse cursor changes to a magnification glass. A click with the left mouse button increases the zoom. The right mouse button decreases the zoom. You may also draw a frame to select the detail to be zoomed.
There are additional zoom-functions, which you can use in the toolbar:
Zoom previous
Takes you back to the previous zoom.
Zoom board
Adjusts the zoom so that the board fits to the screen.
Zoom objects
Adjusts the zoom so that all objects of the board fit to the screen.
Zoom selection
Adjusts the zoom so that all selected objects fit to the screen.
Board-Zoom
In addition to the normal zoom functions you can use the Board-Zoom feature of Sprint-Layout to select the displayed region of your board in a very intuitive way. You can activate or deactivate the Board-Zoom in the Options menu. If the Board-Zoom is activated, it will be displayed on the left side, below the adjust buttons:
The dark green panel symbolizes your complete board, and the light green panel your actual displayed region. You can click on the light green panel and move the region. The displayed region in the editor will follow immediately. So you can "travel" all around your board.
With single mouseclicks on the light green panel you can also adjust the zoom:
  • Click left to zoom in the board, the light green panel will become smaller
  • Click right to zoom out of the board, the light green panel will become bigger
You don't have to select the zoom mode, to use the Board-Zoom. You can use the Board-Zoom in every mode at any time.


Rotating, mirroring and adjusting elements

Rotating, mirroring and adjusting objects
These functions are available from the FUNCTIONS menu or from the toolbar. You may also call these functions from the local popup menu of the editor (right mouse button).
Rotate
This function rotates all selected elements clockwise in a free definable angle.
Click on the arrow to select the desired rotation-angle.
Mirror vertical / horizontal
All selected elements are mirrored horizontal or vertical.
Adjust
This function adjusts all selected elements. You can select between top, bottom, left, right, horizontal-centre or vertical-centre alignment.
Adjust to grid
This function forces all selected objects to grid positions. Caution: This may change the distance of objects that are not grouped. The relative positions of objects that are combined to groups will not be affected. In case of groups the whole group is moved.


Working with grouped elements
Elements of a layout can be combined to groups. Groups make it easier to select, move or edit all members of a group with a single operation. Groups also protect their elements against unwanted changes. You can not delete elements that belong to a group. At least two elements are necessary to create a group. Groups can contain any elements of a layout, even other (sub-) groups.
If you have to delete or modify individual elements of a group, you must first split the group. Only the top-level group is affected when a group is split. Subgroups stay unaffected, but you may repeat the split operation to split a subgroup.
Call BUILD GROUP or SPLIT GROUP from the FUNCTIONS item of the main menu or from the toolbar. These functions are also available from the popup menu (right mouse button) of the editor.
Sprint Layout will group elements automatically when they are pasted from the clipboard or from the component library. This makes it easier to place the elements. You can split these groups as any other groups.


Connections (Rubberbands)
With the connections you can connect pads or SMD-pads of your layout. This is helpful not to forget to route tracks.
The connections are also very important for the work with the integrated autoruter . The autorouter uses these connections to route tracks.
The connections, displayed as thin rubberband-lines, are also helpful to find a suitable position for components. You may use them to avoid crossing tracks when placing components on the board.
To place connections on your board, activate the connection-mode with the corresponding button from the toolbar on the left:
Connections can only be drawn between pads or SMD-Pads. Just click on the first pad, you want to connect. After that, a rubberband "sticks" on your mouse cursor. Now click on any other pad to finish the connection. Pads will light up when they are touched to make connecting easier.
Click with the right mouse button, to abort the process.
Removing existing connections
To delete an existing connection (re-) draw the connection again. The connection will be removed.
Removing connections (rubberbands) automatically
Sprint Layout is in the position to find out whether two pads are connected by the layout or not. This makes it possible to remove rubberbands between connected pads (routed tracks) automatically. Call REMOVE CONNECTIONS (RUBBERBANDS) from the FUNCTIONS item of the main menu or from the toolbar.
The function examines every rubberband-connection and removes it, if the connection between two pads has allready been routed. Sprint Layout considers also trough pads for double-sided boards. The function will inform you about removed and remaining connections when the process is finished.


The Autorouter
A simple point-to-point autorouter is integrated in Sprint-Layout. This autorouter is able to connect two points of your layout. These two points are defined with a connection (rubberband) . The autorouter was not designed, to generate whole boards at once. This is usually not possible. To create a proper layout, you have to design it mostly by yourself.
The autorouter in Sprint-Layout is designed as an easy-to-use autorouter. You don't have to set obscure specifications and options. The autorouter is as simple as the whole software itself.
To use the autorouter, select the corresponding button in the left toolbar:
A small tool-window appears with the available options for the autorouter:
Width:
Here you can select the width of the track, the autorouter will use.
Distance:
Here you can define the minimal distance between the track and the other elements.
Autorouting a connection
You can select the desired connection with the mouse. If you move the mouse over a connection , the connection will be light up. With a simple click you can now "autoroute" this connection.
The autorouted track will be placed on the active layer. Make sure that the correct layer is activated.
The autorouter is searching for the shortest way to place the track. It takes care of the minimal distance between the elements on his way:
  • Elements on the active layer
  • Drill-holes
If the autorouter finds a way, the track will be created. Otherwise you will get a message in the tool-windows.
Autoroutes are indicated by an inner stripe. So you can distinguish between autorouted tracks and normal tracks.
Resolving an autoroute
You can resolve an autorouted track back to a connection. Just click on the autoroute, and you will get the original connection.
Edit an autoroute
You can also edit the autorouted track just like a normal track. You can adjust the width, move the corners, etc.
Tips for using the autorouter
If you have many connections to route, start to autoroute the shortest and easiest connections first. You may realize, that one autoroute is "blocking" some other good routes for other connections. Just resolve this autoroute and try the other connections first. Play with the sequence of the connections, to get the best results.
The autorouter can more likely find a route if you select a small track-width and a small distance. Try to change these values, if the autorouter fails to route a connection. Anyway you can edit autorouted tracks, if necessary.


Testing a board
Sprint-Layout finds connected tracks, pads and other areas of a board. This makes it easy to check the signal flow of the layout. Connected areas will light up.
Activate the test mode with the corresponding button of the toolbar on the left:
The mouse cursor will now appear as a "signal injector”. Simply click to any position of your layout and Sprint-Layout will find all tracks, pads and other areas that are connected to the click position. Connections via trough pads , and tracks from both sides of the boards are also considered in test mode. You may now click to another position or cancel the test mode with the right mouse button.


Measure
With this function you can easily measure distances and angles on your layout.
To select the measure-mode, just click on the button in the toolbar on the left:
You can now click on any position on your layout and draw a frame:
You will see the the following values:
  • dX: Distance in X-direction (horizontal distance)
  • dY: Distance in Y-direction (vertical distance)
  • Distance: Absolute distance between the edges (diagonal)
  • Angle: The angle of the diagonale
With these values, you can measure your layout exactly. Measurements will become more accurate, when details are zoomed.
With a click on the right mousebutton (or <ESC>) you can exit the measure-mode.


The Ground-Plane function
This function fills unused areas of a layout with copper automatically. This accelerates the corroding process and saves corroding material. You may also use this function to create a screen for HF-boards. Please consider that the function creates an area that is NOT connected to any signal of the board. So you may have to connect the area to GND yourself, if necessary.
The function "Ground-Plane” is available for both sides of a board. To activate/deactivate the ground plane, click to the corresponding button on the bottom of the editor:
The function Ground-Plane is now activated and will be displayed in your layout.
You may turn on/off the ground plane whenever you like, without any loss of information.
You may adjust the distance between ground plane and existing tracks, pads and other elements. The distance is adjustable for each individual element of the layout with the input field on the right of the ground plane button (only visible if ground plane is activated). Therefore select some elements first.
Simply enter a new distance value and all selected elements change their distance from the ground plane. New elements use the current distance value.
A distance of 0 contacts the selected elements to the ground plane!
Restricted areas
You can create restricted areas on your layout. These areas will not be filled by the ground-plane function.
To create a restricted area, please click on the hatched button below the edit-field for the distance. Now you can create one ore more restricted areas on your layout. The drawing of restricted areas is absolut identical with the drawing of normal zones. You can edit the restricted areas just like normal zones, by moving and editing the corners of the area.
Caution:
Depending on the distance between tracks and pads, the auto-generation of a ground plane may lead to narrow copper areas. In worst case the copper could detach from the basic material and cause shortcuts or narrow connections may not "survive” the corroding process.
Figure: Narrow copper area between tracks.
Please check your layout carefully when using the ground plane function. To avoid narrow copper areas move tracks to another position, change the distance to the ground plane or use restricted areas.


The Photoview

Photoview
The photoview lets you take a look at your board as if it was already manufactured, with drillings, silk screen, etc. This helps you to find typical mistakes like wrong mirrored components or text.
To activate the photoview, just click on the corresponding button in the left toolbar:
A small tool-window appears with the available options for the photoview:
Side 1 = C1/S1
This will show you the board from side 1 (top). The layer C1 and S1 are visible on the board.
Side 2 = C2/S2 (mirrored)
This will show you the board from side 2 (bottom). The board is turned round. The layer C1 and S1 are visible on the board.
with silkscreen
With this option you can show or hide the silkscreen of your board.
X-Ray
With this option, the board becomes a little transparent, so that the other board side shines through.
While the photoview-mode is active, you can use the normal zoom-functions with your mouse.


Keyboard control
The keyboard offers some additional functions and makes functions more convenient to use:
CTRL-key
Hold down the CTRL-key to turn of grid capture temporary, whenever you have to reach positions that are off the grid.
ARROW-keys
Use the ARROW-keys to move selected object in steps of one grid position. The combination with the CTRL-key allows steps of 1/100 mm.
Hotkeys for the drawing modes
Each mode has a predefined hotkey. You can change this hotkeys if you want.
Standard = ESC
Zoom =Z
Track = L
Pad = P
SMD-Pad = S
Circle = R
Zone = F
Special form = N
Text = T
Connections = C
Autoroute = A
Test = X
Measure = M
Photoview = V
Solder mask = O
SPACE-key
Switches between five different bend modes for tracks.
DEL-key
Deletes selected elements.
CTRL-Z
Undo of last operation.
CTRL-Y
Redo the last UNDO operation.
CTRL-C
Copy to clipboard.
CTRL-X
Cut to clipboard.
CTRL-V
Paste from clipboard.
CTRL-D
Duplicate selected elements.
CTRL-A
Select all.
CTRL-R
Rotates selected elements.
CTRL-H
Mirror horizontal.
CTRL-T
Mirror vertical.
CTRL-G
Combines selected elements to a group.
CTRL-U
Split group.
CTRL-W
Change board-side of selected elements


Editing more than one board
When you are working on a project that consists of several boards, you can save all boards to one single project file on disk. The board selector on bottom of the editor offers an entry for each board of the project:
A click to one of the entries shows the corresponding layout in the editor. A click with the RIGHT mouse button opens a local popup menu that offers additional features of the board selector. These functions are also available from the BOARD item of the main menu.
Add new board
This function adds a new, empty board to the project. Enter the board size and a name for the board to the dialog.
Board properties
This function calls the properties-panel and displays the properties of the board, so that you can make your changes, like name or board size.
Delete board
Call this function to remove the current board from the project. A project must at least contain one board.
Set board to left / to right
The current board will become the first board of the project if SET BOARD TO LEFT is executed. Call SET BOARD TO RIGHT and the current board will become the last of the project.
Move board to left / to right
These functions moves the current board one position to the left or to the right.
Import board from file...
This function imports all boards of another Sprint-Layout project file (*.LAY).


AutoSave
The AutoSave option saves your work regularly. You may activate this option and select the save-interval. Call AUSOSAVE... from the FILE item of the main menu.
If the AutoSave option is activated, Sprint-Layout creates a backup file (*.bak) of your project and saves all changes to this file in regularly intervals. The project file (*.LAY) remains unaffected, so do not forget to save your work even if AutoSave is activated.
If you lost your project (*.LAY) for any reasons, you may change the extension of the backup file *.BAK to *.LAY to recover your work.


Scanning and copying layouts
Scanned layouts from magazines may be used as copy for reproduction or for simple extensions. The layout must be available as a bitmap file. The bitmap is displayed in the background of the editor.
Make sure that the bitmap file is monochrome (black & white). If the scanned file has a different file format, use a graphic application to create a suitable file.
A bitmap resolution of 600 dpi is to be recommended. Lower resolutions will cause loss of quality. Higher resolution will waste memory without gain of quality.
Loading a scanned copy
Call SCANNED COPY... from the OPTIONS menu or click on the corresponding button in the toolbar:
The dialogue for the scanned copy offers the following options:
Board side 1, Board side 2
Scanned copies may be loaded for the top side (side 1) and for the bottom side (side 2) of the board.
Load bitmap...
Loads the bitmap file of your scanned copy.
Delete bitmap...
Deletes the bitmap from the layout.
Show bitmap
Enable this option to make the scanned copy visible in the editor.
Disable this option to hide the bitmap.
Resolution
The resolution field is set to the resolution of the loaded bitmap. Make sure that the bitmap has the right scale, when it is displayed in the editor. Otherwise enter the correct resolution to this field.
X/Y-Offset
Use these fields to adjust the position of the scanned bitmap. Enter a value that gives a favourable position to the grid. Changes of the offset are visible immediately on the screen, which makes adjustment quite convenient.
Color
Select the display color of the scanned copy.
You may call the dialog from the OPTIONS menu at any time, to make some changes.
Tracing a scanned copy
If you want to create a Sprint-Layout file from a scanned copy of a layout, load the bitmap file of the copy to the editor and then trace the layout by hand. Make sure that the bitmap is displayed true to scale. To adjust the X- and Y-Offset we recommend small grid distances (1/2 or 1/4 of the default grid) and large zoom magnification. Try to move the scanned copy to a position that fits the grid best possible. Try different grids and zoom magnifications when tracing a layout. For objects that are completely out of the grid you may use the CTRL-key to turn of the grid capture temporary.
If you have a scanned copy visible on your layout, 2 additional buttons appear at the bottom of the editor:
With these buttons, you can show the bitmap exclusive or hide the bitmap temporary (as long as you press the button). This options may help you to keep the clearniss in some cases.
Extending a scanned copy
In some cases you may wish to extend a scanned copy of a layout. In that case you may use the scanned copy as a part of your layout. You may simply add some tracks, pad or whatever. Enable the option SCANNED COPY when printing the extended layout. The printout will then combine the scanned copy and your extensions to the layout. This technique is only available with printing a layout. You can not export scanned copies to Gerber-files.


Macros
The component library of Sprint-Layout consists of so-called macros. Macros are small layouts of recurrent elements (mainly components like resistors, transistors, etc.).
Sprint Layout is delivered with several pre-defined macros. You may use these elements for your layout or create your own macros as well. See also...
  • Using macros
  • Creating user-defined macros
  • Deleting macros


Using macros
To use the macros in your layout, you have to open the macro-library first. Select Show Macro-Library from the OPTIONS menu, or click on the corresponding button in the toolbar:
The macro-library will apear on the right.
Select a macro
You can expand every group by clicking the little "+".
Click to one of the macro entries (*.lmk) to get a preview of the selected macro. Two lines of text can be added to each macro as description.
Simply drag & drop a macro from the preview to the layout to add a macro to your board: Click on the preview, hold the left mouse button down, move the mouse to the layout and drop the macros at the desired position.
The macro will always be placed on the active board-side.
If necessary, the macro will be mirrored automatically. This depends on the functions MIRROR and CHANGE SIDE.
Additional macro-functions
Below the list of the macros, you find some buttons with the following functions:
Save macro
Saves all selected elements on your layout as a new macro.
Delete macro
Deletes the selected macro from your disk.
Through-pad macro
Converts all pads in the macro into through-pads.
Mirror macro
Mirrors the macro.
Change side
Changes the board side of the macro.
Note:
The last two functions 'Mirror macro' and 'Change side' are likely to be used together, because changing the board-side of a macro usually makes mirroring necessary as well.
Use the CLOSE button (X) in the headline of the library to hide the macro-library.
Tip:
You may change the width of the library. Move the cursor to the boarder line between the library and the editor. The mouse cursor changes to a double arrow. This indicates that you can move the border, while you hold down the left mouse button.


Creating user-defined macros
There is no difference between drawing a macro and drawing any other layout. Use the copper layer (C1,C2) for pads and tracks and the silk screen layer (S1, S2) for component outlines. Outlines are simply drawn with ordinary layout elements (circles, tracks, etc.) on the silk screen layer.
Please take care that your component is lying on the board-side 1 (top), when creating a macro.
This means layers should be used as follows for macros: The silk-screen-layer should always be S1 (component is lying on board-side 1). Then the copper-layer should be C1 for SMD-components or C2 for "normal" components.
Example:
Let´s say you want to create a simple macro for a DIL 14-pin-IC.
The component outline should be lying on the board-side 1 (S1). This means that the pads, which are on the other board-side, must be placed on layer C2.
Select C2 as the active layer and add 14 pads in the correct arangement.
Change the active layer to S1 and draw a rectangle around the pads, using the normal track-function.
Mark the "nose" or the pin 1 of the IC to define the orientation.
You can now save your macro with the option SAVE AS MACRO... in the FILE menu, or click the corresponding button in the macro-library.
Saving macros
The function SAVE AS MACRO... from the FILE menu saves the current layout (or the current selection) to a macro file to disk. You can also click the correspondig button in the macro-library. The following dialog allows you to enter a filename for the macro, and to select the directory, where the macro will be saved. The default extension *.LMK for macros is added automatically.
You may save the whole layout or parts of it as a macro. If parts of the current layout are selected, only the selected parts are saved to the macro file. If nothing is selected the whole layout is saved as a macro (after confirmation).


Deleting macros
Select a macro from the library and press the DELETE button in the macro-library. After your confirmation the selected macro is deleted.
You may use the Windows-Explorer as well to delete or sort your macros (*.LMK).


Printing
Execute the PRINT command from the FILE item of the main menu or from the toolbar:
You will get a preview of the printout, and the print dialog offers several print options.
The preview will show immediately which effect an option will have to the printout.
The paper is displayed as a white page. The red frame is indicating the printable area of the paper. The size of this area is depending on your printer and his driver.
To adjust the position of the printout on the page just klick on the paper and move the printout to the desired position. What you see is what you get!
On the left side of the preview you have several options:
  • Layer
    Select the layers, you wish to have on the printout. You can define a seperate color for each layer. Just click on the color-field on the right of each layer.
  • Special layer
    Here you can define solder-masks or drilling-plans.

    Solder-mask
    The solder mask is created from the pads and/or SMD-pads of the layout. Pads are printed with a diameter that is raised by a defined value. The drillings of the pads are filled.
    With the button OPTIONS... you can define the properties of the solder-mask.

    Drillings
    This option prints the diameter and the positions of all drillings.
    With the button OPTIONS... you can define the text-height.
  • Mirror
    This option mirrors the printout.
  • Targets, Outline
    The option TARGETS adds crosses to the printout, to mark the corners of the board.
    The option OUTLINE prints a frame that shows the outline of the board.
  • Scanned copy
    This option prints a scanned copy (bitmap) together with your layout.
  • Invert
    This option inverts the printout.
  • Grid
    Shows a grid on the preview page. This helps you to position your printout on the page. The grid will not appear on the printout.
  • Info line
    Shows a line at the bottom of the printout with date and filename.
  • Scaling
    This option allows magnifications from 10% ... 1000% of the printout.
    Use the option 1:1 to printout the real size.
At the top of the preview there are additional functions:
  • Centre
    This will centre the board in the middle of the page.
  • Clipboard
    This will copy the actual preview as a bitmap to the global clipboard. Other programs can paste this bitmap.
  • Tile
    The option TILE prints the layout several time side by side to a page. Enter the number of repetitions for X- and Y-direction and the distance between the layouts.
  • Calibration
    Some printers may need a calibration to produce printouts that are exactly true to scale.
    Example: A line has a length of 200 mm but the printer produces a line with a length of 201 mm. In that case enter a factor of 200 mm / 201 mm = 0,995 for correction. The printer will then print true to scale.
  • Setup
    Use the SETUP button to select and adjust the printer. The current printer is displayed in the headline of the preview dialog.
  • Print
    Starts the printout immediately.
  • Cancel
    Closes the preview and returns to the editor without printing.


Exporting bitmaps
This function creates a bitmap file (*.BMP) that may be used with other applications. The bitmap is created from the layers that are actual visible in the editor. To create a bitmap file call EXPORT->BITMAPS (*.BMP) from the FILE item of the main menu.
Two decisions have to be made before the bitmap file can be created:
  • Colored or Black & White
  • Size (Resolution) of the bitmap file
Color
Whenever possible you should select B&W, to reduce the bitmap-size. Only select COLOR if you really need different colors for export. A monochrome bitmap that uses 500 Kbytes needs about 12 Mbytes if exported in colored mode with the same resolution! This may take some time.
You can use B&W even if the diagram contains colored object, to save resources.
You can monitor the required memory, when you make changes to color or resolution.
Size (resolution)
Use the slider to adjust the bitmaps resolution. Keep in mind that large resolutions (high quality) need more memory resources, than lower values. The necessary memory is being displayed. Try to reduce resolution as much as you can, with acceptable quality. This is most important with colored bitmaps.
Close the dialog with OK to create the bitmap file. A file dialog will open, so you can enter a filename for the bitmap. Adjust the directory, where the file will be created, otherwise you may not find it later.
The file will have the extension *.BMP, and can be opened with almost all graphic-applications.


GIF-Export
This function creates a GIF-file (*.GIF) that may be used with other applications. The GIF-file is created from the layers that are actual visible in the editor. To create a GIF-file call EXPORT->GIF (*.GIF) from the FILE item of the main menu.
Size (resolution)
Use the slider to adjust the bitmap resolution. Keep in mind that large resolutions (high quality) need more memory resources, than lower values.
Close the dialog with OK to create the GIF-file. A file dialog will open, so you can enter a filename. Select the directory, where the file will be created, otherwise you may not find it later.
The file will have the extension *.GIF, and can be opened with many graphic-applications.


EMF-Export
This function creates a EMF-file (*.EMF, Enhanced-Meta-File) that may be used with other applications. The EMF-file is created from the layers that are actual visible in the editor. To create a EMF-file call EXPORT->EMF (*.EMF) from the FILE item of the main menu.
A file dialog will open, so you can enter a filename. Select the directory, where the file will be created, otherwise you may not find it later. The file will have the extension *.EMF.


Exporting Gerber files
Sprint Layout produces RS274-X Gerber-files that are used to exchange layout data with PCB manufacturers. Gerber files are common to (almost) all manufacturers. You need a Gerber file for each layer (Copper, Silk screen, Solder mask) to describe a PCB completely.
Call EXPORT -> GERBER EXPORT from the FILE item of the main menu to create a gerber-file. A dialog offers several options that are available with Gerber format.
First of all select the layer that has to be exported. Whenever you select a layer the options MIRROR and DIMENSIONS are set suitable, but can be changed if necessary.
Mirror
This option mirrors the output of the layer. Usually the layers for the solder side of the board are mirrored.
Board outline
This option adds the outline of the board to the output. Helpful to find the correct position for the layout on the board.
Punch drill holes
This options punches all drill holes of pads, which means that the inside diameter of pads is free from copper. Usually this option is NOT necessary. Drilling the board will punch the pads anyway. This option may be helpful if you drill the board by hand, but some manufacturers get in trouble with this option selected.
Mark drill holes
This option is only available with the option PUNCH DRILL HOLES. This options puts only tiny marks to the centre of copper pads, which make it easier, to drill the board by hand.
Options for solder/SMD mask
These options are only available, if you select a solder or SMD mask for C1 or C2. You can adjust the offset of the pads or SMD-pads seperately. You can even select if you want to export the mask for normal pads or SMD-pads (or even other elements, if you have included them to the solder mask).
With the option INVERTING OUTPUT you are able to invert the export.
Click on Create export file... to write the gerber-file with the selected options to disk.
Tip:
Ask your manufacturer for information. He will tell you which options are helpful for production.


Exporting Excellon files
An Excellon-file is used to exchange the drill data of a board with your manufacturer. It contains all diameters and positions of your drillings.
Call EXPORT -> DRILL DATA (EXCELLON)... from the FILE item of the main menu.
Selection
You can select if you want to export only through-holes (vias), only simple drillings or both (therefore all drillings). The separate output of the through-holes (vias) is sometimes necessary for the manufacturing.
Origin of coordinates
Select from which board-side the coordinates will be generated. If you select side 2, the coordinates will be horizontal mirrored. The origin will be always on the left-bottom edge.
Sort drillings
This option sorts the drillings in a geometrical manner.
Unit of measurement
Select the unit of the coordinates. Some machines may only work with inches.
The option Delete leading zeros can be used normally without problems.
If there is any trouble with it, you can deselect this option.


Isolation-mill (HPGL export)

Isolation-milling (HPGL export)
The isolation milling method of producing PCB's is constantly growing in popularity.
For private users the isolation milling procedure represents an efficient, pollution free and often time-saving manufacturing method. This is confirmed again and again by customer contact. Sprint-Layout answers this need with coordinated isolation milling PLT output.
The description is arranged into 2 parts:
Produce export files (HPGL)
Practical use of the HPGL files


Produce export files (HPGL)
To describe the export functions we sketched a small sample PCB that will show all the functions of this new option.
As you can see this is a double-sided PCB
Before we start the export dialog, we must decide what text on the PCB is single LINE or outline.
All text segments that are to be milled as single LINE must be highlighted before the start of the PLT option.
Since we want to store the top layer C1 (blue) first, we will highlight the text segment "IC - test", as we want it to be milled single LINE. The text segments "Abacom" and "Logo" are to be milled like our tracks outline and therefore need no further attention.
We enter the function as follows:
File - > exporting - > milling files - > isolation milling(HPGL, *plt)
The following dialog appears:
In this dialog we select the following options:
Layer
Since we want copper side 1, we select the Layer C1.
Milling Width
This is the width of the milled isolation path. It is necessary to know what the milling tool width that will be used to mill the PCB is. In our case it is 0.25mm.
Text
We select the text options for our highlighted text as "singleline", and for the un-highlighted text we select "outline"
Mirrors
Since we are dealing with the top side of the PCB layer C1, we will not need to mirror the PCB.
Options
Mark drill holes for centering
If the option "Mark drill holes for centering" is activated, all pads and eyelets receive a centering point. The milling tool will drive to the center of each pad or eyelet and mill a small hole to the same depth as the isolation path.
This function was included to allow good alignment of CNC drills during the hole drilling process and reduce the chance of the high speed hole drills from bending and breaking.
The only disadvantage of this function is an extension of the isolation milling job by the additional centering points.
In our example we decided for the centering holes.
Reference holes
The following "Reference holes" option affects all files that are used in the manufacturing of our PCB.
You can set several alignment holes for our PCB. It is important to remember that these alignment holes appear at the same place in all files.
That means: The zero point of the individual Layers are always alike.
Drillings
The last part in this dialog is dedicated to producing the hole drilling PLT files. This option is perfect for those who don't have the Excellon function on there milling software. Sprint layout can produce Excellon files if need, this function can be found under the following menus, export, Drill data (Excellon).
As our PCB has two different hole diameters (0,6 and 0.8 mm), we select the option "Each diameter in a extra file" this will produce a PLT file for each hole size.
We confirm our selections with OK.
The following window indicates the progress of the outlining production.
Next we get a save file dialog.
Here we give a name and destination directory for the PLT files "Sample C1.PLT".
The drilling files are put in the same directory. The drill files are automatically named and are self-describing.
Now we will deal with the back C2 (green) layer of our PCB. Again all text segments that are to be milled as "singleline" must be highlighted before the start of the PLT option.
Like before we select the "isolation milling" option.
This time we select the Layer C2.
The milled isolation path width and text attributes should still be set from the previous time.
We will select to reflect "Mirror horizontal" to reverse the PCB output as we are milling from the bottom and not the top.
Our options for "Reference holes” have also been copied over from the first layer setup.
As we have already made our drilling files from the C1 side, we will deactivate "Mark drill holes for centering" and we will select "No output” for the Drillings options.
We confirm our options with OK and again we are presented with a file dialog.
Here we see the files that were produced previously. We want to store our C2 side in addition to these. So we give a name for the C2 PLT files "Sample C2.PLT”.
Producing a PCB outline PLT file
Last of all we want to mill our PCB outline, mounting holes and any cutouts. This can be accomplished easily in a milling job with Sprint-Layout.
You will have to draw the outline of your PCB, mounting holes and any cutouts on the outline layer O (white). You can only use tracks, circles and polygons to draw your outline. All other elements e.g. pads are ignored by the PCB Outline Milling function.
The zero point or reference holes of the milled isolation and drilling files from our project are used here also. Thus it is possible to mill the PCB outline after the C2 layer has been milled (after appropriate milling tool change) with out repositioning the PCB.
Note: the PCB perimeter outline is milled in the center of the drawn track so it is important to select a track width that is the same as the milling tool that will be used to mill the PCB.
Looking at our sample PCB again.
We have our PCB-outlined on layer O (white). Our PCB has 4 mounting holes (5,5mm), a round outbreak (16mm) and the outer contour. The exact diameter of the holes we can configure in the properties-panel after selecting the circle:
During the input of the diameter note that you must include the width of the drill. Since the tool will mill concentrically around the radius, the milled hole width will be wider. You must take the milling tool width off from the diameter of the hole, in order to obtain the correct hole width result.
In our case we want a hole of 5,5mm and our milling tool has a width of 1mm. The input in the circular arc dialogue diameter must therefore be 4.5 mm.
If you draw PCB outlines, make sure that you first draw outbreaks, and holes within the PCB outline then draw PCB outline. Remember, what was drawn first will also be milled first.
We first highlight all elements that are going to be used to produce the PCB outline, cutouts and holes.
We start the dialogue as follows:
File - > exporting - > milling files - > PCB Outline milling(HPGL, *plt)
Since we want to mill the PCB outlines from the back of our example PCB C2, the outline (like C2) must be mirrored. We select "Mirror horizontal".
The "Reference holes" were copied over automatically.
We click on OK and are presented again with our file dialogue.
We name our plate outline file "Outline.PLT" and click again on "Save".
Now we have all the files required to manufacture our PCB on a milling plotter.
  • Sample C1.PLT Copper side C1, PCB top
  • Sample C2.PLT Copper side C2, PCB bottom
  • Outline.PLT PCB outlines, cut outs and mounting holes
  • DRIL_60.PLT PCB pads that have 0.6 mm holes
  • DRIL_80.PLT PCB pads that have 0.8 mm holes


Practical use of the HPGL files
Before we mill our PCB, we would like to inform you of the following points:
The milled isolation channel quality depends mainly on the milling tools you have used. Not all engraving tools that obtain good results in metal are suitable for PCB material. Also you should choose a milling tool of good quality instead of on quantity and most of all on the fitness for the intended purpose. A good isolation channel milling tool hardly leaves any burr on the sides of the isolation channel, if it is chosen properly.
The drills used by us exclusively come from the Bungard company (www.bungard.de) and guarantee the highest cut results and service life.
With the small isolation channel widths and with the quality required we recommend the use of a measuring magnifying glass to examine the results.
Measuring magnifying glass with lighting from Peak
Measuring magnifying glasses are available in all well stocked tool shops, and they come in different magnifications and sizes.
We load our "Sample C1.plt" file into our milling software and determine the place on the PCB where our layout is to be produced. We store the zero point(where the reference point will be) and start our first processing run.
When we have finished the first PCB side we re position the milling tool over the reference hole.
After completing milling the first PCB side "Sample C1.plt" we can now drill the holes in our PCB. We first fit a 0.6 mm drill and load our file "Dril_60.plt" into our milling software. Make sure the milling cutter has its tool positioned exactly over the reference point. Now we can drill our PCB.
Our PCB receives its 0.6 mm holes
After completing drilling the 0.6 mm holes, the 0.8 mm holes can be drilled in the same way. The reference holes are re-drilled every time and should line up in the same location each time.
Reference holes are created
After completing the drilling we leave the last drill in our machine and turn our PCB around. Naturally we turn our PCB in the same direction, in which we mirrored our PCB for the back copper side "sample C2.plt". In our case we mirrored it in the "Horizontal" direction.
We can now load our file "sample C2.plt".
Reference hole
With our machine drill still present we adjust the zero point for our PCB C2 layer on the basis of the reference holes and store this. Now we fit our isolation milling tool, and store the zero point again. After this we start the milling procedure.
Sample C2 milled
After the tracks are milled, we want to mill the cutouts, mounting holes and the outline for our PCB. In our example we used a 1mm milling tool. We load our file "Outline.plt". After setting the zero point we can now mill our PCB outline etc.
Finished PCB milled out
Now our PCB is finished.
We hope that we have given you a good explanation of the new functions of our PLT output for Sprint-Layout.
Our example however lays no claim to the exact default procedures needed. The options are numerous and you can align our options with your own work habits and preferences.


Settings
Select General settings... from the Options menu.
Here you can make all settings for Sprint-Layout.
General settings
Base unit
Here you can set the base unit that Sprint-Layout should use: mm or mil (1 mil = 1/1000 inch).
Drillings
Here you can set the look of the drilling holes. You can select the background color (so that the holes look transparent) or you can set the holes displayed in white (for a better identification).
Virtual nodes on tracks
Activates the virtual nodes in the middle of each track-segment, to draw new nodes.
Reticule
Activates the reticule while drawing tracks or placing elements.
Mirror macros and text on the bottom board side automatic
Normally, text and macros will be mirrored automatically while they are placed on the bottom side of the board. You can disable these automatic here.
Show Board-Zoom
Activates the little green Zoom-Window on the left side under the tool buttons.
Show hints
Activates the short hints, if the mouse stays on a button.
Limit text height
This option limits the text-height, so that the thickness of the track is never smaller than 0,15 mm. This limitation is often useful, because a smaller size can not used while manufacturing a board with silk-screen.
CTRL-Key necessary to capture values during selections
If you select an element, you can see its properties (like track-width or pad-size) in the left tool-panel. Normally, you can "capture" these values by pressing the CTRL-key while selecting the element, so that you can use these values for the next drawing action. If you want to capture these values permanent (even without pressing CTRL), you can deactivate this option.
HPGL scaling with 0,3937 instead of 0,4
Sprint-Layout is using the usual scaling factor 0,4 for creating HPGL files. This means that 1 HPGL-Unit is equal to 0,4 mm. If your HPGL-files are scaled a little bit wrong in your milling-software, please select this option.
Colors
If you are not satisfied with the color-scheme of Sprint-Layout, you can define your own colors.
You can select 4 different color-schemes:
  • Standard
  • User 1
  • User 2
  • User 3
The color-scheme Standard is the predefined color-scheme of Sprint-Layout and it is not editable.
The color-schemes User 1..3 are free color-schemes that you can define as you like.
To change a color-scheme please select a user-scheme. Now you can change every color by clicking on the little color-panels.
The button Reset scheme to default resets all colors of the selected scheme to the default colors of Sprint-Layout.
Working-Directories
You can select predefined directories for the file handling in Sprint-Layout.
Every time you start Sprint-Layout, these directories will be used as defaults for the file dialogs.
With the "..." buttons you can select an existing directory from a directory tree.
Tip:
If you leave a field empty, Sprint-Layout remembers always the last used directory.
Macro-Directoty
The macro-directory is the directory which contains all macros and all additional macro-directories. The macro-directory normally the macros-directory in the installation-directory of Sprint-Layout (e.g. C:\PROGRAMS\LAYOUT50\MACROS). Here are all macros installed, which comes with the software.
With the Change... button you can select another macro-directory. This is only meaningful, if you have moved your original macro-directory to another drive or directory.
The Reset button resets the macro-directory to the default setting.
Undo-Depth
The UNDO function in Sprint-Layout saves normally up to 50 seps, that you can undo if necessary. The undo function has a memory consumption and it will need more memory if your layout is big. Normally this is no problem, but if you own an older PC and you notice that your system is working slowly, you can try to decrease the undo-depth.
Imax
The max. current-carrying of a selected track will be displayed in the properties-panel.
This value is only a course apporoximate value. The real value is depending an many other factors like the ambient temperature, the ventilation, etc. We won't guarantee this values.
But still, we want to display this value as a coarse approximate. There are 2 important parameters to calculate the max. current for a track: The copper-thickness of your PCB (in general 35µm) and the max. temperature enhancement (recommended value 20°). You can change these parameters here, to adjust the calculation of the current.
Hotkeys
Here you can define new hotkeys for the drawing tools in Sprint-Layout.
Select the desired drawing tool in the listbox and click on the arrow in Change hotkey to select a new key for this mode.


The Properties-Panel
The properties-panel offers the possibility to edit all important properties of your layout-elements without calling special dialogs.
To activate the properties-panel select Show Properties-Panel from the Options menu or click on the corresponding button in the toolbar:
The properties-panel appears on the right.
The properties-panel responds on the current selection on your layout. If you select e.g. a single pad, you can edit its properties directly here:
In the same manner, you can edit all other elements like tracks, text labels, etc.
If you select more than one element or a group or macro, there are no properties available and the properties-panel shows a summary of all selected elements.
If there is nothing selected on your layout, the properties-panel will show the properties of your board.


Design-Rule-Check (DRC)
Because of little inaccuracies while a PCB will be produced, there are some tolerances and limitations to keep, to get a usable Board. These values are named "Design Rules". Sprint-Layout is able to check some important design rules, e.g. the minimum clearance distance between 2 copper tracks, etc.
To check a layout with the DRC, activate the DRC-panel first. Select Show DRC-Panel from the Options menu or click the corresponding button in the toolbar:
The DRC-panel will appear on the right.
Here you can adjust the DRC-settings. You can also select or deselect single DRC-checks with the checkboxes.
Minimum distance copper:
The minum clearance distance between copper tracks.
Minimum distance drillings:
The minum distance between 2 drilling holes.
Drilling min:
The minimal usable drill.
Drilling max:
The maximal usable drill.
Track min:
The minimal usable track width.
Annular ring min:
The minimal remaining ring for pads (after drilling).
Silkscreen min:
The minimal usable thickness for the silkscreen.
Silkscreen over pads:
This option checks, if parts of the silkscreen are on pads or on SMD-pads.
Drilling on SMD-pads:
This option checks, if drillings are on SMD-pads.
Pads without soldermask:
This option checks, if there are pads or SMD-pads on the board, which are not included in the soldermask (caused by a manual editing of the soldermask).
Soldermask out of pads:
This option checks, if there are soldermask-areas on the board, which are out of pads or SMD-pads. This can be made deliberate by a manual editing of the soldermask.
Start DRC
After you have made your settings you can start the DRC.
Complete...
This will start the DRC for the complete layout.
Windows...
This will start the DRC only for the part of the layout which is currently visible.
This option is often useful, because the DRC needs some time. So if you have made only little changes on your layout, you can zoom to this area and check only the visible area.
The DRC result
After the DRC, all detected errors are listed in the listbox below. Every entry shows the corresponding layer and the detected error. All errors will be displayed on your layout with a white hatch. If you want to display only single errors, just select them in the listbox. You can click on Select all to select and display all errors.
Tip:
If you doubleclick on an error in the listbox, your layout will automatic zoom to this error. So you can navigate very fast to every listed error.


The Footprint-Wizard
The footprint-wizard may help you to create typical footprints of components. You select a typical layout and set the parameters, and the wizard creates the footprint automatically.
To start the footprint-wizard select Footprint-Wizard... from the Options menu.
There are 5 different layout types available:
  • Single row (SIP)
  • Dual row (DIP)
  • Square (QUAD)
  • Single circular
  • Dual circular
Every layout type has some parameters. These parameters are displayed and explained in a little picture in the footprint-wizard.
Select the desired layout type from the listbox. The Default button sets the parameters to reasonable values, so that you can see the meaning of the parameters.
Pads
Here you can select the type (normal or SMD) and the size of the pads.
Number of Pads
Her you can enter the number of pads
Parameters
Here you can adjust the parameters which are necessary for the selected layout type.
Not every parameter is used from every layout type.
The meaning of every parameter is displayed and explained in a little picture in the footprint-wizard.
If you click OK the wizard will create your footprint, and you can place it on your layout.


Editing of the Solder mask
The solder mask will be normally created automatically by Sprint-Layout. Normally, you don't have to care about this. Sprint-Layout is generating the solder mask by excluding all pads and SMD-pads from the mask, so that anly these areas are solderable.
Sometimes it is necessary to extend this solder mask, e.g. if you want to tin a track.
In this case you can edit the soldermask. Click on the Solder mask button in the left tool bar to enter the edit-mode for the solder mask:
All elements which are "solderable" will be displayed in white. Normally this are all pads and SMD-pads.
In this mode you can now add additional elements to the solder mask, by clicking on it. This element will added to the solder maks, and it will be displayed in white immediately.
You can also exclude an element from the solder mask. Just click on a white element to exclude it. The element will displayed in his normal color immediately.
You can reset the solder mask any time to the default setting (all pads and SMD-pads). To do this just select Reset solder mask... from the Functions menu.


Project info
Use this option to add copyright informations and comments to your project.
You can open the project info with the corresponding button in the toolbar:
Now you can enter your project informations. In the comment-field, you can add annotations to your project like pin-lists, background-information, clients, etc.
The project info will be saved together with your project automatically.


The Viewer
The Viewer is used to view and print Sprint-Layout-Files, without installation of the Sprint-Layout editor software.
The Viewer consists of a single EXE-file: VIEWLAYOUT50.EXE
The Viewer is freeware and may be distributed freely, so everyone can view and print Sprint-Layout files. The Viewer can be found in the installation directory of your Sprint-Layout software.
The Viewer is also available on our homepage:
  • www.abacom-online.de (German version)
  • www.abacom-online.de\uk (English version).


JPG-Export
This function creates a JPEG-file (*.JPG) that may be used with other applications. The JPG-file is created from the layers that are actual visible in the editor. To create a JPG-file call EXPORT->JPG (*.JPG) from the FILE item of the main menu.
Size (resolution)
Use the slider to adjust the bitmap resolution. Keep in mind that large resolutions (high quality) need more memory resources, than lower values.
Close the dialog with OK to create the JPG-file. A file dialog will open, so you can enter a filename. Select the directory, where the file will be created, otherwise you may not find it later.
The file will have the extension *.JPG, and can be opened with (almost) every graphic-application.